## org.w3c.jigsaw.http
Class ClientException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--org.w3c.tools.resources.ResourceException
                        |
                        +--org.w3c.jigsaw.http.ClientException

public class ClientException
extends ResourceException

ClientException is used to terminate a channel with a specific client. Each client is represented within the server by some Client instance which is used to keep track of it. When such a client context errs severly (ie IO errors, bad HTTP spoken, etc) the connections has to be cleaned up and closed, that's the purpose of this exception.

See Also:
  `Client`, Serialized Form

Field Summary
`Client` | `client`
`java.lang.Exception` | `ex`

Constructor Summary
`ClientException(Client client, java.lang.Exception ex)`
`ClientException(Client client, java.lang.String msg)`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### client

    public Client client

### ex

    public java.lang.Exception ex

Constructor Detail

### ClientException

    public ClientException(Client client,
                           java.lang.String msg)

### ClientException

    public ClientException(Client client,
                           java.lang.Exception ex)